Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Portage] Automatiser package.use (bug)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 709
Location: S.O. France

PostPosted: Fri Dec 29, 2017 9:56 pm    Post subject: [Portage] Automatiser package.use (bug) Reply with quote

Salut,

Y'a-til moyen de passer une option dans le make.conf ou un autre fichier afin d'éviter de garnir le package.use?

Exemple:
Je veux installer firefox, portage me dit qu'il faut que j'active l'USE sqlite à dev-lang/python.
Donc je suis obligé de rajouter une ligne dans mon package.use.

Puisque portage sait ce qu'il lui faut pourquoi il résout pas le problème tout seul?

Je cherche pas un truc du genre autounmask qui va me compléter automatiquement un fichier, je cherche à éviter d'utiliser le package.use sauf pour celles que je force.

Merci


Last edited by sebB on Mon Jan 01, 2018 1:27 pm; edited 1 time in total
Back to top
View user's profile Send private message
guitou
Guru
Guru


Joined: 02 Oct 2003
Posts: 358
Location: France

PostPosted: Sat Dec 30, 2017 2:16 pm    Post subject: Reply with quote

Hello.
Ca pourrait probablement se faire avec une arbo pour default package.use, a la maniere des systemd units, mais dans la mesure ou "Gentoo is all about tuning" ce serait gacher le plaisir.
Plus serieusement, ce serait sans doute techniquement realisable, mais cote choix des "defaults", ca risque d'etre une misere sans nom.
Par ex. un cas simple:
- le package x peut etre installe seul
- le package y reqiuert le package x avec le use flag u
- le package z requier x avec v
Quid des default use flags de x?

++
Gi)
Back to top
View user's profile Send private message
nicop
n00b
n00b


Joined: 10 Apr 2014
Posts: 17

PostPosted: Sat Dec 30, 2017 5:35 pm    Post subject: Reply with quote

L'argument --autounmask-only=y pour emerge est normalement activé par défaut et sert justement à cela.
Essaie cette commande et regarde bien la fin de sortie, emerge devrait te proposer de mettre à jour ton fichier package.use :
Code:
emerge -av --autounmask=y firefox
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 709
Location: S.O. France

PostPosted: Sat Dec 30, 2017 8:37 pm    Post subject: Reply with quote

@nicop
Merci mais ce n'est pas ce que cherche.
Je souhaite justement me passer de ce package.use.

@guitou
Justement portage sait se démerder tout seul puisque c'est lui qui te dit ce que tu dois mettre dans ton package.use

Mon package.use n'est rempli que de recommandations de portage.
Ce n'est pas moi qui ai activé quoi que ce soit sur tel ou tel prog.

C'est pourquoi je me posais la question de dire à portage:
"Tu as besoin de telle use pour compiler tel paquet alors fait le toi même."

Par ex j'ai ca
Code:
=dev-qt/qtwebkit-5.7.1 printsupport
=media-gfx/pstoedit-3.70-r1 plotutils
=media-libs/libvpx-1.5.0 svc
=dev-lang/python-2.7.14-r1:2.7 sqlite

On ne peut pas dire que ce soit moi qui "force" ces use
Pour en revenir à firefox, sans ajouter sqlite à python, je peux pas l'installer (et c'est portage qui me le dit).
Pourquoi il ferait pas le truc tout seul?

Moi je vois le package.use comme un fichier pour mes besoins spécifiques.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1674
Location: 127.0.0.1

PostPosted: Sun Dec 31, 2017 9:20 am    Post subject: Reply with quote

Salut,

Pas possible pour le moment. Un bug est ouvert depuis longtemps à ce sujet.
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 709
Location: S.O. France

PostPosted: Mon Jan 01, 2018 1:26 pm    Post subject: Reply with quote

Merci. Je l'avais pas vu celui là.

Bonnes fêtes à tous.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum